/* ************************************************************************
 * Copyright 2006 Lucio Benfante
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *    http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 *********************************************************************** */
package com.benfante.splasher.task;

import junit.framework.*;

/**
 * A test case for testing the SimpleTask class.
 *
 * @author Lucio Benfante <a href="mailto:lucio@benfante.com">lucio@benfante.com</a>
 * @version $Id: SimpleTaskTest.java,v 1.1 2006-04-01 06:12:30 lucio Exp $
 */
public class SimpleTaskTest extends TestCase {
    
    public SimpleTaskTest(String testName) {
        super(testName);
    }

    protected void setUp() throws Exception {
    }

    protected void tearDown() throws Exception {
    }

    public static Test suite() {
        TestSuite suite = new TestSuite(SimpleTaskTest.class);
        
        return suite;
    }

    /**
     * Test of run method, of class com.benfante.splasher.task.SimpleTask.
     */
    public void testRun() {
        SimpleTask instance = new SimpleTask(new Runnable() {   
            public void run() {
                // do something
            }
        }, "Test task", 200);
        
        instance.run();
        
        assertEquals(SimpleTask.COMPLETED, instance.getCompleted());
    }
    
}
